| TagLib 1.13 |  |

Public Member Functions | Protected Member Functions | Friends | List of all members
TagLib::ID3v2::UrlLinkFrame Class Reference

ID3v2 URL frame. More...

`#include <urllinkframe.h>`

Inheritance diagram for TagLib::ID3v2::UrlLinkFrame:
[legend]
Collaboration diagram for TagLib::ID3v2::UrlLinkFrame:
[legend]

## Public Member Functions
| UrlLinkFrame (const ByteVector &data)
virtual | ~UrlLinkFrame ()
virtual String | url () const
virtual void | setUrl (const String &s)
virtual void | setText (const String &s)
virtual String | toString () const
PropertyMap | asProperties () const
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
ByteVector | frameID () const
unsigned int | size () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
virtual String | toString () const =0
ByteVector | render () const
TAGLIB_DEPRECATED | Header (const ByteVector &data, bool synchSafeInts)
| Header (const ByteVector &data, unsigned int version=4)
virtual | ~Header ()
TAGLIB_DEPRECATED void | setData (const ByteVector &data, bool synchSafeInts)
void | setData (const ByteVector &data, unsigned int version=4)
ByteVector | frameID () const
void | setFrameID (const ByteVector &id)
unsigned int | frameSize () const
void | setFrameSize (unsigned int size)
unsigned int | version () const
void | setVersion (unsigned int version)
bool | tagAlterPreservation () const
void | setTagAlterPreservation (bool discard)
bool | fileAlterPreservation () const
bool | readOnly () const
bool | groupingIdentity () const
bool | compression () const
bool | encryption () const
bool | unsynchronisation () const
bool | dataLengthIndicator () const
ByteVector | render () const
TAGLIB_DEPRECATED bool | frameAlterPreservation () const

## Protected Member Functions
virtual void | parseFields (const ByteVector &data)
virtual ByteVector | renderFields () const
| UrlLinkFrame (const ByteVector &data, Header *h)
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
Header * | header () const
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
virtual void | parseFields (const ByteVector &data)=0
virtual ByteVector | renderFields () const =0
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=0)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const
PropertyMap | asProperties () const

## Friends
class | FrameFactory

## Additional Inherited Members
Static Public Member Functions inherited from TagLib::ID3v2::Frame
static Frame * | createTextualFrame (const String &key, const StringList &values)
static unsigned int | headerSize ()
static unsigned int | headerSize (unsigned int version)
static ByteVector | textDelimiter (String::Type t)
static unsigned int | size ()
static unsigned int | size (unsigned int version)
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static String::Type | checkEncoding (const StringList &fields, String::Type encoding)
static String::Type | checkEncoding (const StringList &fields, String::Type encoding, unsigned int version)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
static String | keyToTXXX (const String &)
static String | txxxToKey (const String &)
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)

## Detailed Description

ID3v2 URL frame.

An implementation of ID3v2 URL link frames.

## Constructor & Destructor Documentation

## ◆ UrlLinkFrame() [1/2]

TagLib::ID3v2::UrlLinkFrame::UrlLinkFrame | ( | const ByteVector & | data | ) |
| explicit

This is a dual purpose constructor. data can either be binary data that should be parsed or (at a minimum) the frame ID.

## ◆ ~UrlLinkFrame()

virtual TagLib::ID3v2::UrlLinkFrame::~UrlLinkFrame | ( |  | ) |
| virtual

Destroys this UrlLinkFrame instance.

## ◆ UrlLinkFrame() [2/2]

TagLib::ID3v2::UrlLinkFrame::UrlLinkFrame | ( | const ByteVector & | data,
|  | Header * | h
| ) |  |
| protected

The constructor used by the FrameFactory.

## Member Function Documentation

## ◆ asProperties()

PropertyMap TagLib::ID3v2::UrlLinkFrame::asProperties | ( |  | ) | const

## ◆ parseFields()

virtual void TagLib::ID3v2::UrlLinkFrame::parseFields | ( | const ByteVector & | data | ) |
| protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Implements TagLib::ID3v2::Frame.

Reimplemented in TagLib::ID3v2::UserUrlLinkFrame.

## ◆ renderFields()

virtual ByteVector TagLib::ID3v2::UrlLinkFrame::renderFields | ( |  | ) | const
| protected virtual

Render the field data back to a binary format in a ByteVector. This must be overridden by subclasses.

Implements TagLib::ID3v2::Frame.

Reimplemented in TagLib::ID3v2::UserUrlLinkFrame.

## ◆ setText()

virtual void TagLib::ID3v2::UrlLinkFrame::setText | ( | const String & | text | ) |
| virtual

Set the text of frame in the sanest way possible. This should only be reimplemented in frames where there is some logical mapping to text.

Note
  If the frame type supports multiple text encodings, this will not change the text encoding of the frame; the string will be converted to that frame's encoding. Please use the specific APIs of the frame types to set the encoding if that is desired.

Reimplemented from TagLib::ID3v2::Frame.

## ◆ setUrl()

virtual void TagLib::ID3v2::UrlLinkFrame::setUrl | ( | const String & | s | ) |
| virtual

Sets the URL to s.

## ◆ toString()

virtual String TagLib::ID3v2::UrlLinkFrame::toString | ( |  | ) | const
| virtual

This returns the textual representation of the data in the frame. Subclasses must reimplement this method to provide a string representation of the frame's data.

Implements TagLib::ID3v2::Frame.

Reimplemented in TagLib::ID3v2::UserUrlLinkFrame.

## ◆ url()

virtual String TagLib::ID3v2::UrlLinkFrame::url | ( |  | ) | const
| virtual

Returns the URL.

## Friends And Related Function Documentation

## ◆ FrameFactory

friend class FrameFactory
| friend

The documentation for this class was generated from the following file:

- urllinkframe.h